<script setup>
import { ref, computed } from "vue"

const props = defineProps({
  title: String,
  height: [Number, String],
  width: [Number, String],
})

// variables
const heightNumber = ref(24)
const widthNumber = ref(24)

if (!Number.isNaN(props.height) && typeof props.height !== "undefined") {
  heightNumber.value = Number.parseInt(props.height)
} else if (typeof props.height === "undefined" && (!Number.isNaN(props.width) && typeof props.width !== "undefined")) {
  heightNumber.value = Number.parseInt(props.width)
}

if (!Number.isNaN(props.width) && typeof props.width !== "undefined") {
  widthNumber.value = Number.parseInt(props.width)
} else if (typeof props.width === "undefined" && (!Number.isNaN(props.height) && typeof props.height !== "undefined")) {
  widthNumber.value = Number.parseInt(props.height)
}

// computed
const titleString = computed(() => {
  if (typeof props.title === "string" && props.title.trim().length > 0) {
    return props.title.trim()
  }
  return ""
})
</script>

<template>
<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" preserveAspectRatio="xMidYMid meet">
  <title v-if="titleString.length > 0" v-html="title"></title>
  <path d="M22 5V2l-5.89 5.89"></path>
  <circle cx="16.6" cy="15.89" r="3"></circle>
  <circle cx="8.11" cy="7.4" r="3"></circle>
  <circle cx="12.35" cy="11.65" r="3"></circle>
  <circle cx="13.91" cy="5.85" r="3"></circle>
  <circle cx="18.15" cy="10.09" r="3"></circle>
  <circle cx="6.56" cy="13.2" r="3"></circle>
  <circle cx="10.8" cy="17.44" r="3"></circle>
  <circle cx="5" cy="19" r="3"></circle>
</svg>
</template>
